/* biosret32.S: achieve a return fro 16-bit BIOS to 32-bit Linux kernel */
/*
 * $Header: /root/pnp/module/RCS/biosret32.S,v 1.1 1996/05/26 15:36:19 root Exp $
 *
 * $Log: biosret32.S,v $
 * Revision 1.1  1996/05/26  15:36:19  root
 * initial revision
 *
 */

/*
 * (c) Copyright 1996  D.W.Howells <dwh@nexor.co.uk>,
 */

#ifdef __ELF__
  #define ENTRY(x) x
#else
  #define ENTRY(x) _##x
#endif

.globl ENTRY(pnp_bios_16ret32)
ENTRY(pnp_bios_16ret32):
	pushl %ecx		/* stack my return address, %cs first */
	pushl %ebx		/* and then my %eip */
	lret			/* and jump to it */
	nop
	nop
	nop
	nop
	nop
	nop
	nop
	nop
	nop
	nop
	nop
	nop
	nop
	nop
	nop
	nop
	nop
	nop
	nop
.globl ENTRY(pnp_bios_16ret32_end)
ENTRY(pnp_bios_16ret32_end):
